Target version:
Has patch: No Proyecto:
Description

Implement a preference to let the user choose if the windows must be open maximized or not by default.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 424: Añadir ... Outdated 03/09/2012
Related to Application: gvSIG desktop - gvSIG feature requests # 2369: A new ... Invalid 02/24/2014

History
#1 - 03/25/2015 11:18 AM - Álvaro Anguix
- Category changed from Application to Usability

#2 - 11/08/2016 06:26 PM - Francisco Puga

Any more opinion on this.

I think that the most common workflow is this:

1.- Open gvSIG
2.- Open a new View
3.- Maximize the view
4.- Load layers

So I think that by default gvSIG should implement this behavior (without opening the add layer menu, this can have bad side effects). And I think that
there is no need for a preferences option to configure this.

There are fewer users that need the Project Manager accessible by default, and you can always launch it from the Window menu. Maybe as a
complement, a couple of new options can be added to the Windows menu, like "New View", "New Table" and "New Layout". IMHO only "New Table"
will be useful for most of the users.

If you agree with this behavior I can take the time to implement it.

Also related to #1784 and #395 (i can't not modify the "related issue" option)

#3 - 11/09/2016 11:22 PM - Álvaro Anguix

Hola Francisco, yo llevo tiempo pensando algo muy similar y de hecho habíamos hablado que si daba tiempo podría estar bien incluirlo en la 2.4...es
decir, que por defecto gvSIG cree y abra una Vista maximizada.
Además creo que para futuras versiones el EPSG por defecto debería ser el de pseudo-mercator que en cierto modo se está convirtiendo en el
estándar (en lugar del 4326 actual) y que es el que usan capas como las actualmente disponibles de OSM, Google y Bing (además de muchos
servicios OGC...cada vez más).
Sí creo que puede ser interesante que en preferencias el usuario pueda o no activar esta opción (aunque esté activada por defecto). Aunque sea lo
habitual en proyectos nos hemos encontrado con otros tipos de usuarios que lo primero que hacen es abrir un layout y ponerse a trabajar con él
porque su labor principal es producir estos layouts. Por lo que tener la opción de definirlo en preferencias siempre será bueno.

#4 - 06/12/2017 02:48 PM - Álvaro Anguix
- Status changed from New to Closed

Done in gvSIG 2.4
